Package com.sas.lsaf.security.user

## Class UserCreateInfo

- java.lang.Object
- - com.sas.lsaf.security.user.UserCreateInfo

- All Implemented Interfaces:
    `java.io.Serializable`

      public class UserCreateInfo
      extends java.lang.Object
      implements java.io.Serializable

  Information specifying the detailed attributes of a user account to create.
  Since:
    1.2
  See Also:
    `User`, `UserService.createUser(UserCreateInfo)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserCreateInfo()` | Default constructor.
    `UserCreateInfo​(java.lang.String userId, java.lang.String displayName, java.lang.String email, java.lang.String password)` | Constructor with all required fields.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `AccountInfo.AccountType` | `getAccountType()` | Gets the type of user account to create.
    `java.lang.String` | `getDepartment()` | Gets the department value for the user account to create.
    `java.lang.String` | `getDisplayName()` | Gets the display name of the user account to create.
    `java.lang.String` | `getEmail()` | Gets the email address of the user account to create.
    `java.lang.String` | `getFirstName()` | Gets the first name of the user account to create.
    `java.lang.String` | `getLastName()` | Gets the last name of the user account to create.
    `java.lang.String` | `getPassword()` | Gets the temporary password of the user account to create.
    `java.lang.String` | `getPhone()` | Gets the phone number for the user account to create.
    `java.lang.String` | `getUserId()` | Gets the user identifier of the user account to create.
    `int` | `hashCode()` |
    `void` | `setAccountType​(AccountInfo.AccountType accountType)` | Sets the type of user account to create.
    `void` | `setDepartment​(java.lang.String department)` | Sets the department value for the user account to create.
    `void` | `setDisplayName​(java.lang.String displayName)` | Sets the display name of the user account to create.
    `void` | `setEmail​(java.lang.String email)` | Sets the email address of the user account to create.
    `void` | `setFirstName​(java.lang.String firstName)` | Sets the first name of the user account to create.
    `void` | `setLastName​(java.lang.String lastName)` | Sets the last name of the user account to create.
    `void` | `setPassword​(java.lang.String password)` | Sets the temporary password of the user account to create.
    `void` | `setPhone​(java.lang.String phone)` | Sets the phone number for the user account to create.
    `void` | `setUserId​(java.lang.String userId)` | Sets the user identifier of the user account to create.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserCreateInfo

          public UserCreateInfo()

      Default constructor.

    - #### UserCreateInfo

          public UserCreateInfo​(java.lang.String userId,
                                java.lang.String displayName,
                                java.lang.String email,
                                java.lang.String password)

      Constructor with all required fields. Default account type is interactive.
      Parameters:
        `userId` - the user ID of the user account to create.
        `displayName` - the display name of the user account to create.
        `email` - the email of the user account to create.
        `password` - the password of the user account to create.

  - ### Method Detail

    - #### getAccountType

          public AccountInfo.AccountType getAccountType()

      Gets the type of user account to create.
      Returns:
        The type of user account to create.

    - #### setAccountType

          public void setAccountType​(AccountInfo.AccountType accountType)

      Sets the type of user account to create.
      Parameters:
        `accountType` - the type of user account to create.

    - #### getUserId

          public java.lang.String getUserId()

      Gets the user identifier of the user account to create.
      Returns:
        The user identifier of the user account to create.

    - #### setUserId

          public void setUserId​(java.lang.String userId)

      Sets the user identifier of the user account to create.
      Parameters:
        `userId` - the user identifier of the user account to create.

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Gets the display name of the user account to create.
      Returns:
        The display name of the user account to create.

    - #### setDisplayName

          public void setDisplayName​(java.lang.String displayName)

      Sets the display name of the user account to create.
      Parameters:
        `displayName` - the display name of the user account to create.

    - #### getEmail

          public java.lang.String getEmail()

      Gets the email address of the user account to create.
      Returns:
        The email address of the user account to create.

    - #### setEmail

          public void setEmail​(java.lang.String email)

      Sets the email address of the user account to create.
      Parameters:
        `email` - the email address of the user account to create.

    - #### getPassword

          public java.lang.String getPassword()

      Gets the temporary password of the user account to create.
      Returns:
        The temporary password of the user account to create.

    - #### setPassword

          public void setPassword​(java.lang.String password)

      Sets the temporary password of the user account to create.
      Parameters:
        `password` - the temporary password of the user account to create.

    - #### getFirstName

          public java.lang.String getFirstName()

      Gets the first name of the user account to create.
      Returns:
        The first name of the user account to create.

    - #### setFirstName

          public void setFirstName​(java.lang.String firstName)

      Sets the first name of the user account to create.
      Parameters:
        `firstName` - the first name of the user account to create.

    - #### getLastName

          public java.lang.String getLastName()

      Gets the last name of the user account to create.
      Returns:
        The last name of the user account to create.

    - #### setLastName

          public void setLastName​(java.lang.String lastName)

      Sets the last name of the user account to create.
      Parameters:
        `lastName` - the last name of the user account to create.

    - #### getDepartment

          public java.lang.String getDepartment()

      Gets the department value for the user account to create.
      Returns:
        The department value for the user account to create.

    - #### setDepartment

          public void setDepartment​(java.lang.String department)

      Sets the department value for the user account to create.
      Parameters:
        `department` - the department value for the user account to create.

    - #### getPhone

          public java.lang.String getPhone()

      Gets the phone number for the user account to create.
      Returns:
        The phone number for the user account to create.

    - #### setPhone

          public void setPhone​(java.lang.String phone)

      Sets the phone number for the user account to create.
      Parameters:
        `phone` - the phone number for the user account to create.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`